NX Open C++ Reference Guide
|
Builder for Face Annotation functionality used in formboard. More...
Public Member Functions | |
void | AddRadialPivot (const NXOpen::Point3d &pivotLocation, int bendMethod, double bendValue) |
Created in NX7.5.0. | |
int | AddSplinePoint (const NXOpen::Point3d &pointLocation) |
Adds a point to the existing spline. | |
void | ChangeType (int newType) |
Created in NX7.5.0. | |
void | CommitCurrentOperation () |
Created in NX7.5.0. | |
void | CreateNewRadialBend (const NXOpen::Point3d &firstPivot, int firstBendMethod, double firstBendValue, const NXOpen::Point3d &secondPivot, int secondBendMethod, double secondBendValue) |
Created in NX7.5.0. | |
void | CreateNewSpline (const NXOpen::Point3d &anchorLocation, const NXOpen::Point3d &firstPoint, const NXOpen::Point3d &secondPoint) |
Created in NX7.5.0. | |
void | GetLineData (NXOpen::Routing::ISegment **anchorSeg, NXOpen::Routing::ControlPoint **anchorRcp, double *angle) |
Created in NX7.5.0. | |
void | NewSegment (NXOpen::Routing::ISegment *newSegment) |
Created in NX7.5.0. | |
void | RemoveRadialPivot (int pivotIndex) |
Created in NX7.5.0. | |
void | RemoveSplinePoint (int pointIndex) |
Created in NX7.5.0. | |
void | SetActiveView (NXOpen::TaggedObject *view) |
Sets the active view for the shape operation. | |
void | SwapAnchorEnd () |
Created in NX7.5.0. | |
void | UpdateLineAngleVec (const NXOpen::Vector3d &newDir) |
Created in NX7.5.0. | |
void | UpdateRadialPivot (int pivotIndex, const NXOpen::Point3d &newLocation, int newBendMethod, double newBendValue) |
Created in NX7.5.0. | |
void | UpdateSplinePoint (int pointIndex, const NXOpen::Point3d &pointLocation, bool inDrag) |
Created in NX7.5.0. | |
![]() | |
NXOpen::NXObject * | Commit () |
Commits any edits that have been applied to the builder. | |
void | Destroy () |
Deletes the builder, and cleans up any objects created by the builder. | |
std::vector< NXOpen::NXObject * > | GetCommittedObjects () |
For builders that create more than one object, this method returns the objects that are created by commit. | |
NXOpen::NXObject * | GetObject () |
Returns the object currently being edited by this builder. | |
void | ShowResults () |
Updates the model to reflect the result of an edit to the model for all builders that support showing results. | |
virtual bool | Validate () |
Validate whether the inputs to the component are sufficient for commit to be called. | |
![]() | |
tag_t | GetTag () const |
<b>Deprecated</b>:<br> Use Tag instead. | |
tag_t | Tag () const |
Returns the tag of this object. | |
Builder for Face Annotation functionality used in formboard.
It allows importing CGM or Pattern file geometry and placing it on a drawing sheet or model view. As a result of this a group of dumb geometry is placed such that defined origin is located at the lower left hand of the bounding box containing the group of geometry.
To create a new instance of this class, use Formboard::FormboardManager::CreateShapeSegmentBuilder
Created in NX7.5.0.
void NXOpen::Formboard::ShapeSegmentBuilder::AddRadialPivot | ( | const NXOpen::Point3d & | pivotLocation, |
int | bendMethod, | ||
double | bendValue | ||
) |
Created in NX7.5.0.
License requirements : routing_harness ("Routing Harness")
pivotLocation | pivotlocation |
bendMethod | bendmethod |
bendValue | bendvalue |
int NXOpen::Formboard::ShapeSegmentBuilder::AddSplinePoint | ( | const NXOpen::Point3d & | pointLocation | ) |
Adds a point to the existing spline.
@return
Created in NX7.5.0.
License requirements : routing_harness ("Routing Harness")
pointLocation | pointlocation |
void NXOpen::Formboard::ShapeSegmentBuilder::ChangeType | ( | int | newType | ) |
Created in NX7.5.0.
License requirements : routing_harness ("Routing Harness")
newType | newtype |
void NXOpen::Formboard::ShapeSegmentBuilder::CommitCurrentOperation | ( | ) |
Created in NX7.5.0.
License requirements : routing_harness ("Routing Harness")
void NXOpen::Formboard::ShapeSegmentBuilder::CreateNewRadialBend | ( | const NXOpen::Point3d & | firstPivot, |
int | firstBendMethod, | ||
double | firstBendValue, | ||
const NXOpen::Point3d & | secondPivot, | ||
int | secondBendMethod, | ||
double | secondBendValue | ||
) |
Created in NX7.5.0.
License requirements : routing_harness ("Routing Harness")
firstPivot | firstpivot |
firstBendMethod | firstbendmethod |
firstBendValue | firstbendvalue |
secondPivot | secondpivot |
secondBendMethod | secondbendmethod |
secondBendValue | secondbendvalue |
void NXOpen::Formboard::ShapeSegmentBuilder::CreateNewSpline | ( | const NXOpen::Point3d & | anchorLocation, |
const NXOpen::Point3d & | firstPoint, | ||
const NXOpen::Point3d & | secondPoint | ||
) |
Created in NX7.5.0.
License requirements : routing_harness ("Routing Harness")
anchorLocation | anchorlocation |
firstPoint | firstpoint |
secondPoint | secondpoint |
void NXOpen::Formboard::ShapeSegmentBuilder::GetLineData | ( | NXOpen::Routing::ISegment ** | anchorSeg, |
NXOpen::Routing::ControlPoint ** | anchorRcp, | ||
double * | angle | ||
) |
Created in NX7.5.0.
License requirements : routing_harness ("Routing Harness")
anchorSeg | anchorseg |
anchorRcp | anchorrcp |
angle | angle |
void NXOpen::Formboard::ShapeSegmentBuilder::NewSegment | ( | NXOpen::Routing::ISegment * | newSegment | ) |
Created in NX7.5.0.
License requirements : routing_harness ("Routing Harness")
newSegment | newsegment |
void NXOpen::Formboard::ShapeSegmentBuilder::RemoveRadialPivot | ( | int | pivotIndex | ) |
Created in NX7.5.0.
License requirements : routing_harness ("Routing Harness")
pivotIndex | pivotindex |
void NXOpen::Formboard::ShapeSegmentBuilder::RemoveSplinePoint | ( | int | pointIndex | ) |
Created in NX7.5.0.
License requirements : routing_harness ("Routing Harness")
pointIndex | pointindex |
void NXOpen::Formboard::ShapeSegmentBuilder::SetActiveView | ( | NXOpen::TaggedObject * | view | ) |
Sets the active view for the shape operation.
Created in NX7.5.0.
License requirements : routing_harness ("Routing Harness")
view | view |
void NXOpen::Formboard::ShapeSegmentBuilder::SwapAnchorEnd | ( | ) |
Created in NX7.5.0.
License requirements : routing_harness ("Routing Harness")
void NXOpen::Formboard::ShapeSegmentBuilder::UpdateLineAngleVec | ( | const NXOpen::Vector3d & | newDir | ) |
Created in NX7.5.0.
License requirements : routing_harness ("Routing Harness")
newDir | newdir |
void NXOpen::Formboard::ShapeSegmentBuilder::UpdateRadialPivot | ( | int | pivotIndex, |
const NXOpen::Point3d & | newLocation, | ||
int | newBendMethod, | ||
double | newBendValue | ||
) |
Created in NX7.5.0.
License requirements : routing_harness ("Routing Harness")
pivotIndex | pivotindex |
newLocation | newlocation |
newBendMethod | newbendmethod |
newBendValue | newbendvalue |
void NXOpen::Formboard::ShapeSegmentBuilder::UpdateSplinePoint | ( | int | pointIndex, |
const NXOpen::Point3d & | pointLocation, | ||
bool | inDrag | ||
) |
Created in NX7.5.0.
License requirements : routing_harness ("Routing Harness")
pointIndex | pointindex |
pointLocation | pointlocation |
inDrag | indrag |